View Issue Details

IDProjectCategoryView StatusLast Update
0031220Open CASCADEOCCT:Visualizationpublic2021-12-17 18:41
Reporternds Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0031220: Visualization - remove internal field of viewer selector in context
DescriptionAIS_InteractiveContext contains field:
Handle(StdSelect_ViewerSelector3d) myMainSel;


Also, this instance exists in
Handle(SelectMgr_SelectionManager) mgrSelector;


It's proposed to remove myMainSel from context and obtain this value from the selection manager.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0031458 closedbugmaster Visualization - refine classes across Prs3d and StdPrs packages 

Activities

git

2021-08-04 15:03

administrator   ~0102979

Branch CR31220 has been created by CheskoArt.

SHA-1: 4a39e728d9c150a5e152e54cfc5f697b7aa92286


Detailed log of new commits:

Author: CheskoArt
Date: Thu Jul 29 13:28:19 2021 +0300

    0031220: Visualization - remove internal field of viewer selector in context
    
    Removed myMainSel field from AIS_InteractiveContext and obtained this value from mgrSelector.

kgv

2021-08-04 18:36

developer   ~0102986

I propose merging SelectMgr_ViewerSelector3d into SelectMgr_ViewerSelector in scope of this patch to get rid of redundant separation and extra DownCast's.

git

2021-08-06 17:45

administrator   ~0103041

Branch CR31220 has been updated forcibly by CheskoArt.

SHA-1: b0f5cc9fb90a3ff2f12e6ce2d23037a0697521ea

CheskoArt

2021-08-06 17:51

developer   ~0103042

Ready for review

kgv

2021-08-06 18:05

developer   ~0103043

Last edited: 2021-08-06 18:05

+  public:
+
+  //! Displays sensitives in view <theView>.

Please correct indentation of 'public:'.

--- a/src/SelectMgr/SelectMgr_ViewerSelector3d.hxx
+++ /dev/null

Please restore this file and put typedef alias to old class name with deprecated notice.

git

2021-08-06 18:39

administrator   ~0103044

Branch CR31220 has been updated forcibly by CheskoArt.

SHA-1: 68e18a2acd570516d9e8c55c0435f4c554d71309

CheskoArt

2021-08-06 18:52

developer   ~0103047

Ready for review

kgv

2021-08-07 14:00

developer   ~0103087

Last edited: 2021-08-07 14:07

When you delete/add the file, `FILES` should be updated as well.
And please rebase the patch against the actual master before sending it for testing/review - there are merge conflicts.

git

2021-08-09 19:03

administrator   ~0103104

Branch CR31220 has been updated forcibly by CheskoArt.

SHA-1: 8248782462bd0ce0a5bc29bfe99704f840f0cdc8

CheskoArt

2021-08-09 19:05

developer   ~0103105

Updated 'FILES', and synchronized with master. Ready for review.

bugmaster

2021-08-14 13:23

administrator   ~0103204

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-08-14 14:01

administrator   ~0103212

Branch CR31220 has been deleted by mnt.

SHA-1: 8248782462bd0ce0a5bc29bfe99704f840f0cdc8

Related Changesets

occt: master 45fc824b

2021-07-29 10:28:19

achesnok


Committer: bugmaster Details Diff
0031220: Visualization - remove internal field of viewer selector in context

- Removed myMainSel field from AIS_InteractiveContext and obtained this value from mgrSelector.
- Moved SelectMgr_ViewerSelector3d implementation into SelectMgr_ViewerSelector to get rid of redundant separation and extra DownCast's.
- Declared SelectMgr_ViewerSelector3d as deprecated.
Affected Issues
0031220
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/SelectMgr/FILES Diff File
mod - src/SelectMgr/SelectMgr_SelectionImageFiller.hxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff File
rm - src/SelectMgr/SelectMgr_ViewerSelector3d.cxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector3d.hxx Diff File
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff File

occt-products: master 8dc957c0

2021-08-13 12:33:06

kgv


Committer: bugmaster Details Diff
0031220: Visualization - remove internal field of viewer selector in context

Skip wrapping of merged class SelectMgr_ViewerSelector3d.
Affected Issues
0031220
mod - samples/swig/TKV3d.i Diff File

Issue History

Date Modified Username Field Change
2019-12-05 10:44 nds New Issue
2019-12-05 10:44 nds Assigned To => nds
2020-09-21 10:16 nds Target Version 7.5.0 => 7.6.0
2021-03-02 15:48 kgv Severity minor => integration request
2021-03-02 15:48 kgv Description Updated
2021-07-26 16:16 age Assigned To nds => CheskoArt
2021-07-28 12:35 CheskoArt Status new => assigned
2021-08-04 15:03 git Note Added: 0102979
2021-08-04 18:36 kgv Note Added: 0102986
2021-08-06 17:45 git Note Added: 0103041
2021-08-06 17:51 CheskoArt Note Added: 0103042
2021-08-06 17:51 CheskoArt Assigned To CheskoArt => age
2021-08-06 17:51 CheskoArt Status assigned => resolved
2021-08-06 17:51 CheskoArt Steps to Reproduce Updated
2021-08-06 18:05 kgv Note Added: 0103043
2021-08-06 18:05 kgv Assigned To age => CheskoArt
2021-08-06 18:05 kgv Status resolved => assigned
2021-08-06 18:05 kgv Note Edited: 0103043
2021-08-06 18:39 git Note Added: 0103044
2021-08-06 18:52 CheskoArt Note Added: 0103047
2021-08-06 18:52 CheskoArt Assigned To CheskoArt => kgv
2021-08-06 18:52 CheskoArt Status assigned => resolved
2021-08-06 19:18 kgv Assigned To kgv => bugmaster
2021-08-06 19:18 kgv Status resolved => reviewed
2021-08-07 13:11 bugmaster Status reviewed => tested
2021-08-07 13:16 bugmaster Test case number => Not required
2021-08-07 13:22 bugmaster Status tested => assigned
2021-08-07 13:22 bugmaster Status assigned => resolved
2021-08-07 13:22 bugmaster Status resolved => reviewed
2021-08-07 14:00 kgv Note Added: 0103087
2021-08-07 14:00 kgv Assigned To bugmaster => CheskoArt
2021-08-07 14:00 kgv Status reviewed => assigned
2021-08-07 14:04 kgv Note Edited: 0103087
2021-08-07 14:04 kgv Note Edited: 0103087
2021-08-07 14:07 kgv Note Edited: 0103087
2021-08-07 15:44 kgv Relationship added child of 0031458
2021-08-09 19:03 git Note Added: 0103104
2021-08-09 19:05 CheskoArt Note Added: 0103105
2021-08-09 19:21 CheskoArt Assigned To CheskoArt => kgv
2021-08-09 19:21 CheskoArt Status assigned => resolved
2021-08-09 21:28 kgv Assigned To kgv => bugmaster
2021-08-09 21:28 kgv Status resolved => reviewed
2021-08-14 13:23 bugmaster Note Added: 0103204
2021-08-14 13:23 bugmaster Status reviewed => tested
2021-08-14 13:31 bugmaster Changeset attached => occt master 45fc824b
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:01 git Note Added: 0103212
2021-12-17 18:41 bugmaster Changeset attached => occt-products master 8dc957c0
2021-12-17 18:41 kgv Assigned To bugmaster => kgv
2021-12-17 18:41 kgv Status closed => verified